summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorAntony Kellermann2020-07-01 13:03:52 -0400
committerAntony Kellermann2020-07-01 13:03:52 -0400
commit28ae44ca2967414b57d22b800ecba0fe332346ad (patch)
tree1415c42c83239307ca36087f61d460d7141b7382
downloadaur-28ae44ca2967414b57d22b800ecba0fe332346ad.tar.gz
Initial package.
-rw-r--r--.SRCINFO19
-rw-r--r--PKGBUILD32
2 files changed, 51 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..bd56623310c
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,19 @@
+pkgbase = iex-git
+ pkgdesc = C++17 library for querying IEX Cloud API.
+ pkgver = 0.1.0
+ pkgrel = 1
+ url = https://github.com/aokellermann/iex
+ arch = x86_64
+ license = MIT
+ makedepends = cmake
+ makedepends = git
+ depends = curl
+ depends = nlohmann-json
+ optdepends = doxygen: documentation
+ provides = iex
+ conflicts = iex
+ source = git://github.com/aokellermann/iex
+ md5sums = SKIP
+
+pkgname = iex-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..8b84731e676
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,32 @@
+# Maintainer: Antony Kellermann <aokellermann@gmail.com>
+
+_pkgname=iex
+pkgname="${_pkgname}-git"
+pkgver=0.1.0
+pkgrel=1
+pkgdesc="C++17 library for querying IEX Cloud API."
+arch=("x86_64")
+url="https://github.com/aokellermann/${_pkgname}"
+license=("MIT")
+depends=("curl" "nlohmann-json")
+optdepends=("doxygen: documentation")
+makedepends=("cmake" "git")
+provides=("${_pkgname}")
+conflicts=("${_pkgname}")
+source=("git://github.com/aokellermann/${_pkgname}")
+md5sums=("SKIP")
+
+prepare() {
+ mkdir -p "${_pkgname}/build"
+}
+
+build() {
+ cd "${_pkgname}/build" || exit 1
+ cmake -DCMAKE_INSTALL_PREFIX=/usr ..
+ cmake --build .
+}
+
+package() {
+ cmake --build "${_pkgname}/build" --target install -- DESTDIR="${pkgdir}"
+ install -Dm644 "${_pkgname}/LICENSE" "${pkgdir}/usr/share/licenses/${_pkgname}/LICENSE"
+}